Bug 1536921 (CVE-2018-5773) - CVE-2018-5773 python-markdown2: Unsanitized input in markdown() method allows for cross-site scripting (XSS)
Summary: CVE-2018-5773 python-markdown2: Unsanitized input in markdown() method allows...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-5773
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1536922 1536923
Blocks: 1536925
TreeView+ depends on / blocked
 
Reported: 2018-01-22 03:28 UTC by Sam Fowler
Modified: 2019-09-29 14:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:37:46 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-01-22 03:28:44 UTC
An issue was discovered in markdown2 (aka python-markdown2) through 2.3.5. The safe_mode feature, which is supposed to sanitize user input against XSS, is flawed and does not escape the input properly. With a crafted payload, XSS can be triggered, as demonstrated by omitting the final '>' character from an IMG tag.

External References:
https://nvd.nist.gov/vuln/detail/CVE-2018-5773

Upstream Issue:
https://github.com/trentm/python-markdown2/issues/285

Comment 1 Sam Fowler 2018-01-22 03:29:16 UTC
Created python-markdown2 tracking bugs for this issue:

Affects: epel-all [bug 1536922]
Affects: fedora-all [bug 1536923]

Comment 2 Product Security DevOps Team 2019-06-08 03:37:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.